from django.contrib import admin
from django.db.models import get_model

class TextEntityAdmin(admin.TabularInline):
	model = get_model("blockedit", "textentity")
	extra = 0

class LongTextEntityAdmin(admin.TabularInline):
	model = get_model("blockedit", "longtextentity")
	extra = 0

class SectionAdmin(admin.ModelAdmin):
	inlines = [
		TextEntityAdmin,
		LongTextEntityAdmin,
	]

admin.site.register(get_model("blockedit", "section"), SectionAdmin)
